Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00384 Sound Minor Have not tried Jan 29, 2008, 06:47 Jun 9, 2011, 23:49
Tester Machone View Status Public Platform
Assigned To Resolution Reopened OS
Status [?] Confirmed Driver atarisy2.cpp
Version 0.111u5 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00384: paperboy: The POKEY generated sound effects start quiet and then normalize after completing 'Monday'.
Description The POKEY generated sound effects in Paperboy go from quiet to pretty loud after completing 'Monday'. If you compare the bike's braking sound from 'Monday' to 'Tuesday' for example the difference is pretty obvious. I tried testing an older MAME version I have on the computer (0.78) and this problem didn't occur on that.

Updated by Mahcone in 0.114u4: The first MAME version this bug appeared in was 0.93. From the whatsnew.txt:

"The main feature of this release is Aaron's huge update to the sound system. There is a high chance this has introduced new sound / crashing bugs in several drivers."
Steps To Reproduce
Additional Information First regression - 0.93
Github Commit
Flags
Regression Version 0.141u2
Affected Sets / Systems paperboy
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.04333
russ h.
Tester
May 7, 2009, 10:46
The sound seems to be working fine for me in 131, so this can probably be changed too resolved, could someone confirm.
User avatar
No.04361
Machone
Tester
May 10, 2009, 15:51
Yep, this is fixed now.
User avatar
No.04362
Tafoid
Administrator
May 10, 2009, 20:16
Not entirely sure when this was resolved, but it seems to play fine in 0.131u1. If someone can narrow exactly when this was fixed, it would be appreciated.
User avatar
No.07529
Tafoid
Administrator
Jun 9, 2011, 23:47
This is being reopened and changed regression version.
Breakage occurs between r11369 and r11400 and could be one of a couple possibilities.